%% delete_recursive
%    delete line which are not collected
% inputs:
%   line_handle:float - handle to line to be deleted
% outputs:
%   none.
function delete_recursive( line_handle )

if get( line_handle, 'SrcPortHandle' ) < 0
    delete_line( line_handle ) ;
    return;
end
LineChild = get( line_handle, 'LineChildren' ) ;
if ~isempty( LineChild )
    for i=1:length( LineChild )
        TableBlock.delete_recursive( LineChild( i ) );
    end
else
    if get( line_handle, 'DstPortHandle' ) < 0
        delete_line( line_handle ) ;
    end
end
end


